Bug 508713 - libguestfs: error: write: Broken pipe (guestfish only)
libguestfs: error: write: Broken pipe (guestfish only)
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 11:12 EDT by Richard W.M. Jones
Modified: 2010-03-27 06:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-27 06:34:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-06-29 11:12:04 EDT
If the qemu process is explicitly killed while guestfish is
running then you will get this error repeatedly.

It is caused because of the setting of SIGPIPE to SIG_IGN
in this changeset:

http://git.et.redhat.com/?p=libguestfs.git;a=commitdiff;h=88da5cf8a32e683ed1d78419fcde609a389a2f65;hp=d164ae963297a99e2222bc32b11928c1635c45d8#patch1
Comment 1 Richard W.M. Jones 2009-06-29 11:23:05 EDT
The following cset fixes this:
http://git.et.redhat.com/?p=libguestfs.git;a=commitdiff;h=ad475104ec7fae456d3309cbf4261b893ed160bb

$ ./fish/guestfish --ro -a ~/Fedora-11-i686-Live.iso -m /dev/sda

Welcome to guestfish, the libguestfs filesystem interactive shell for
editing virtual machine filesystems.

Type: 'help' for help with commands
      'quit' to quit the shell

><fs> ls /
EFI
GPL
LiveOS
README
isolinux
><fs> ls /
libguestfs: error: write: Broken pipe
libguestfs: error: send failed, see earlier error messages
><fs> ls /
libguestfs: error: guestfs_ls: call launch() before using this function
Comment 2 Fedora Update System 2009-06-29 15:27:22 EDT
libguestfs-1.0.54-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.54-2.fc11
Comment 3 Fedora Update System 2009-07-02 19:26:09 EDT
libguestfs-1.0.55-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.55-1.fc11
Comment 4 Fedora Update System 2009-07-11 05:27:07 EDT
libguestfs-1.0.58-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.58-2.fc11
Comment 5 Fedora Update System 2009-07-11 13:12:29 EDT
libguestfs-1.0.54-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-07-19 06:27:37 EDT
libguestfs-1.0.58-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Richard W.M. Jones 2010-03-27 06:34:55 EDT
Long fixed upstream.

Note You need to log in before you can comment on or make changes to this bug.